## acpi-support 0.109-11

=== Makefile ===
all: acpi_fakekey

acpi_fakekey: acpi_fakekey.c
	gcc -g -Wall -o acpi_fakekey acpi_fakekey.c

# Keep this manually generated so that it doesn't build-dep on
# 'linux-headers' and stays predictable.

key-constants: /usr/include/linux/input.h aliased-keys
	test -f $<
	echo -n '# Generated from $< dated ' > $@
	date -r $< >> $@
	awk '/#define  *KEY_/{if(strtonum($$3) <= 255) print $$2"="strtonum($$3)}' $< | sort -nt'=' -k2 >> $@
	test -f aliased-keys && cat aliased-keys >> $@

clean:
	rm -f acpi_fakekey

=== debian/changelog ===
acpi-support (0.109-11) unstable; urgency=high

  * Fix postinst to not remove thinkpad_acpi.modprobe. Closes: #514278
  * Fix tests in postinst that are supposed to match on upgrade only to
    not match on initial install (when $2 is empty).

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 06 Feb 2009 09:09:28 +0100

acpi-support (0.109-10) unstable; urgency=low

  * Fix default settings for Thinkpad R50e 1834. Closes: #507927

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 12 Dec 2008 16:33:12 +0100

acpi-support (0.109-9) unstable; urgency=low

  * Fix fix on broken getXuser so that it only takes the first
    line of output from w -hs that matches  (Closes: #497999)

 -- Bart Samwel <bart@samwel.tk>  Mon, 08 Sep 2008 20:42:41 +0200

acpi-support (0.109-8) unstable; urgency=low

  * Fix broken getXuser (Closes: #497999)

 -- Bart Samwel <bart@samwel.tk>  Sun, 07 Sep 2008 10:19:26 +0200

acpi-support (0.109-7) unstable; urgency=low

  * Reported in #497220: CheckPolicy() now calls getXconsole instead of
    getXuser, as it should.
  * getXuser() now uses "w" to determine the X user. The old code used
    finger, but this was highly unreliable. (Closes: #497220)
  * Added missing 'policy-funcs' include to hibernatebtn.sh (Closes: 
    #497125)
  * scripts in /etc/acpi no longer test files from acpi-support-base
    to see if they should run (Closes: #497801)
  * Always consider a dbus-send call for a suspend method failed if 
    dbus-send returns an error code (Closes: #496911)

 -- Bart Samwel <bart@samwel.tk>  Thu, 04 Sep 2008 20:00:27 +0200

acpi-support (0.109-6) unstable; urgency=high

  * /etc/acpi/events/sleepbtn: /etc/acpi/events/sleepbtn runs wrong
    script (Closes: #489465)
  * /etc/acpi/battery.d is ignored on newer kernels (Closes: #491396)
  * Incorrect D-BUS HAL call in dbus-hal suspend method (Closes:
    #488937)

 -- Bart Samwel <bart@samwel.tk>  Tue, 19 Aug 2008 21:39:41 +0200

acpi-support (0.109-5) unstable; urgency=low

  * Make suspendorhibernate script executable.

 -- Bart Samwel <bart@samwel.tk>  Sun, 22 Jun 2008 23:11:52 +0200

acpi-support (0.109-4) unstable; urgency=low

  * Bashisms of the form '. script args' (Closes: #485435)
  * Use legacy suspend mode by default for existing setups (but not for 
    new ones) . (Closes: #485564)
  * Do not send fake keys to user interface for /etc/acpi/sleep.sh and
    /etc/acpi/hibernate.sh calls, only for button presses.
    (Closes: #484901)

 -- Bart Samwel <bart@samwel.tk>  Sun, 22 Jun 2008 23:01:32 +0200

acpi-support (0.109-3) unstable; urgency=low

  * /usr/share/acpi-support/screeblank returns 0 before blanking the
    screen (Closes: #483015)

 -- Bart Samwel <bart@samwel.tk>  Sun, 22 Jun 2008 22:43:13 +0200

acpi-support (0.109-2) unstable; urgency=low

  * Reinstate thinkpad_acpi.modprobe to fix "Many Thinkpad X60 keys stop
    working" (Closes: #481253)
  * Fix incorrect usage of getXconsole instead of getXuser in lid.sh
    (Closes: #481534)
  * toshset, nvclock moved to Recommends instead of Depends (Closes: #410918,
    #434566, #438665, #445900 #457387)
  * Deprecate built-in suspend/hibernate handling in favor of dbus
    calls.
  * Support suspend/hibernate handling by dbus calls to a power
    management daemon or HAL, calling the pm-utils package, calling the
    hibernate package, or using the legacy built-in suspend/hibernate support.
    By default, send keys to the known power management daemons, or if they
    are not running, fall back to use dbus to a power management daemon,
    dbus directly to HAL, and direct calls to pm-utils.
  * Add Recommends for hal, pm-utils, dbus.
  * Ignore errors in 90-hdparm.sh while detecting if APM is supported,
    since not all drives support the HDIO_GET_IDENTITY operation.
    (Closes: #481685)
  * lid.sh doesn't give lid.sh.pre a chance to abort the close (Closes:
    #482708)
  * Replace dependency on console-tools by console-utilities, which is a
    virtual package that allows kbd | console-tools. (Closes: #481173)
  * Installation Fails if /proc/acpi/event Not Present (Closes: #481312)
  * Set DM-Upload-Allowed field to yes.

 -- Bart Samwel <bart@samwel.tk>  Sun, 25 May 2008 18:17:46 +0200

acpi-support (0.109-1) unstable; urgency=low

  * New upstream release 0.109 (Ubuntu Hardy) [no relevant changes].
  * New upstream release 0.108 (Ubuntu Hardy) [no relevant changes].
  * New upstream release 0.107 (Ubuntu Hardy):
    * "lib/FUJITSU SIEMENS.config": Fix typo, which caused failures on Fujitsu
      notebooks (LP: #203452)
  * New upstream release 0.106 (Ubuntu Hardy):
    * Add events/asus-video to support asus switch video hotkey; patch from
      Nicolò Chieffo (LP: #138228)
    * Fix the value range in sonybright.sh (0-7 instead of 1-8); patch from
      unggnu (LP: #136380)
    * "lib/FUJITSU SIEMENS.config":
      - Enable suspend for Fujitsu-Siemens C1110 (LP: #52970)
      - Enable STR for Fujitsu-Siemens Lifebook S7020, S7110
    * events/asus-*: Fix event key names for ASUS (HOTK); patch from
      Jeroen van der Vegt (LP: #25784)
    * Fix names in comments for events/panasonic-{mute,volume-down,volume-up}    
    * Drop thinkpad_acpi.modprobe: the workarounds therein are not needed for
      thinkpad_acpi in Hardy anymore; investigations by Jerone Young
      (LP: #194679) [ Note from Bart Samwel: Therefore probably not needed in
      current Debian kernels either. ]
  * New upstream version 0.105 (from Ubuntu Hardy):
    * Fix screenblank for KDE by using a dcop call
  * Add HOTK key names in events/asus-* for more keys than provided by the
    upstream.
  * Remove extra non-owned files on purge. Closes: #455012
  * Call old acpid power button handler /etc/acpi/powerbtn.sh if present.
    Closes: #461311
  * Support "operstate" power state file for madwifi drivers. Closes: #453706.
  * Support operstate, rf_kill and power/state to determine if wireless is
    powered on. Closes: #463719.


=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Bart Samwel <bart@samwel.tk>
Uploaders: Loic Minier <lool@dooz.org>, Raphael Hertzog <hertzog@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5), libx11-dev, x11proto-xext-dev, libxtst-dev, x11proto-core-dev
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/acpi-support/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/acpi-support/trunk/
Standards-Version: 3.7.3

Package: acpi-support
Architecture: i386 amd64 ia64 lpia
Depends: ${shlibs:Depends}, acpi-support-base (>= 0.109-1), x11-xserver-utils, acpid (>= 1.0.4), hdparm, lsb-base (>= 1.3-9), ${arch:Depends}, finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1)
Recommends: dbus, pm-utils, hal, radeontool, nvclock, ${arch:Recommends}
Conflicts: uswsusp (<= 0.2)
Suggests: laptop-mode-tools
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for 
    hardware that needs it.
  * On some laptops, set screen brightness.

Package: acpi-support-base
Architecture: all
Depends: acpid (>= 1.0.4), console-utilities
Suggests: acpi-support
Replaces: acpi-support (<< 0.109-1)
Description: scripts for handling base ACPI events such as the power button
 This package contains scripts to react to various base ACPI events
 such as the power button. For more extensive ACPI support, including support
 for suspend-to-RAM and for various laptop features, install the package
 "acpi-support".

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),i386)
arch-depends := -V'arch:Depends=vbetool' -V'arch:Recommends=toshset'
endif
ifeq ($(DEB_HOST_ARCH),amd64)
arch-depends := -V'arch:Depends=vbetool'
endif

clean:
	make clean
	dh_testdir
	dh_clean
	rm -f resume.d/13-915-resolution-set.sh
	# Remove unwanted files from orig.tar.gz
	rm -f suspend.d/80-video-pci-state.sh # Renamed in 81-...
	rm -f resume.d/13-855-resolution-set.sh
	rm -f resume.d/49-855-resolution-set.sh
	rm -f toshiba_acpi.modprobe README.toshiba	
	rm -f acpi-support_0.90-2.diff.gz

build:
	make

installtests:
	dh_testdir
	dh_testroot

dhclean: installtests 
	dh_clean -k

install: installtests dhclean
	dh_testdir
	dh_testroot
	dh_installdirs
	for file in lib/*; do\
		install -m 644 "$$file" debian/acpi-support/usr/share/acpi-support/;\
	done
	install -m 755 lib/suspendorhibernate debian/acpi-support/usr/share/acpi-support/
	for file in events/*; do\
		install -m 644 $$file debian/acpi-support/etc/acpi/events/;\
	done
	for file in suspend.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/suspend.d/;\
	done
	for file in resume.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/resume.d/;\
	done
	for file in start.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
	done
	for file in battery.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/battery.d/;\
	done
	for file in ac.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/ac.d/;\
	done
	for file in *.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/;\
	done
	install -m 644 acpi-support debian/acpi-support/etc/default/;
	install -m 644 thinkpad_acpi.modprobe debian/acpi-support/etc/modprobe.d/
	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/

install-base: installtests dhclean
	dh_installdirs -pacpi-support-base
	for file in lib-base/*; do\
		install -m 644 "$$file" debian/acpi-support-base/usr/share/acpi-support/;\
	done
	for file in events-base/*; do\
		install -m 644 $$file debian/acpi-support-base/etc/acpi/events/;\
	done
	for file in scripts-base/*.sh; do\
		install -m 755 $$file debian/acpi-support-base/etc/acpi/;\
	done


binary-indep:

binary-arch: installtests dhclean install install-base
	# Build additional acpi-support package
	dh_testdir
	dh_testroot
	dh_installdocs -pacpi-support
	dh_installchangelogs ChangeLog -pacpi-support
	dh_installman -pacpi-support
	dh_installinit -pacpi-support -- start 99 2 3 4 5 . stop 20 1 . 
	dh_strip -pacpi-support
	dh_compress -pacpi-support
	dh_fixperms -pacpi-support
	dh_installdeb -pacpi-support
	dh_shlibdeps -pacpi-support -- acpi_fakekey
	dh_gencontrol -pacpi-support -- $(arch-depends)
	dh_md5sums -pacpi-support
	dh_builddeb -pacpi-support
	
	# Build additional acpi-support-base package
	dh_installdocs -pacpi-support-base
	dh_installchangelogs ChangeLog -pacpi-support-base
	dh_installman -pacpi-support-base
	dh_strip -pacpi-support-base
	dh_compress -pacpi-support-base
	dh_fixperms -pacpi-support-base
	dh_installdeb -pacpi-support-base
	# No binaries: dh_shlibdeps -pacpi-support-base
	dh_gencontrol -pacpi-support-base
	dh_md5sums -pacpi-support-base
	dh_builddeb -pacpi-support-base



binary: binary-arch binary-indep

## acpi-support 0.114

=== debian/changelog ===
acpi-support (0.114) intrepid; urgency=low

  * The rfkill interface has changed again in the 2.6.27 release(!), so
    play catch-up once more.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Oct 2008 03:08:58 +0000

acpi-support (0.113) intrepid; urgency=low

  * lib/state-funcs: add support for checking the new /sys/class/rfkill
    interface for toggling wireless antennas.  LP: #267875

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 11 Oct 2008 19:18:10 +0000

acpi-support (0.112) intrepid; urgency=low

  * acpi-support.docs:  Add installation of README
  * control:  Add laptop-mode-tools to Suggests
  * Add installation for ac.d/ and battery.d/ directories.
    (LP: #274599)
  * wireless.sh: Fix obviously wrong typo in function call name -
    toggleWirelessStates is a non-existant function
    (LP: #108897, deb #430895)
  * Fix asus brightness hotkeys so lowest/highest brightness recognized
    (LP: #76593)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 25 Sep 2008 17:50:26 -0700

acpi-support (0.111) intrepid; urgency=low

  * lib/IBM.config:  Change VBE state and POST_VIDEO for 1834's
    (LP: #40621, #211285)
  * Incorporate a portion of the changes from Debian, as detailed below.
    Debian has been accumulating valuable fixes and structural changes for
    some years, but it will take some time to digest all of them.

  [ Bart Samwel ]
  * ac.d/90-hdparm.sh, battery.d/90-hdparm.sh, resume.d/90-hdparm.sh,
    start.d/90-hdparm.sh: Set hdparm power management to 254 for all hard
    drives.  Ignore errors while detecting of APM is supported.  Set
    hdparm -B 128 while on battery in 90-hdparm.sh. Head parking is useful
    on the road for shock protection. Still set hdparm -B 254 while on AC.
    (Closes: #448673, #452489, #453478, #458787, #481685)
  * Switch from #!/bin/bash to #!/bin/sh in a number of scripts, and
    cleanup bashisms throughout.  Continues a change started with 0.93.
    (Closes: #407510, #485435, #453861)
  * Add checks for existance of key-constants and state-funcs throughout
    scripts to prevent erroneous failures when using eeepc-acpi-scripts.
    Use "test ... || ..." style over "[ ... ] || ..." just for consistency.
    (Closes: #469556)
  * Check if we can actually open event device in acpi_fakekey.c.
    (Closes: #410478)
  * Correctly detect keyboard event device in acpi_fakekey.c.  Apparently
    the power key is in the range checked by acpi_fakekey. It's now
    changed it so that it assumes that any input device which has a key in
    the QWERTYUIOP range is "the" keyboard.
    (Closes: #433771)
  * Remove useless use of grep in asus-touchpad.sh.
  * Add HOTK key names in events/asus-* for additional keys.
  * Support Asus Eee PC volume up/down and mute keys in events/asus-eee-volume-*.
    (Closes: #459326)
  * Add rotatescreen.sh, asus-rotate script to support Asus R1F tablet
    screen rotation.
    (Closes: #450531)

  [ Raphael Hertzog ]
  * Add a new SKIP_INTERFACES variables in /etc/default/acpi-support and use
    it to define network interfaces that are not tied to hardware to avoid
    shutting them down during suspend, such as lo, qemu, and dummy.
  * Improved package description in control file, thanks to Cl?ment Stenac.
    (Closes: #383691)

  [ Loic Minier ]
  * Install new manpage for acpi_fakekey, thanks Nico Golde.
    (Closes: #383365)
  * Fix "APCI" instead of "ACPI" typo in IBM.config; thanks Joshua Kwan;
    (Closes: #389511)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 24 Sep 2008 08:43:42 -0700

acpi-support (0.110) intrepid; urgency=low

  * Let laptop-mode-tools run properly (closes LP: #250938)
    - power.sh: remove laptop-mode invocations, should be handled by pm-utils
    - acpi-support: remove SPINDOWN_TIME, should be controlled by laptop-mode

 -- Alexey Borzenkov <snaury@gmail.com>  Tue, 22 Jul 2008 23:59:07 +0400

## acpi-support 0.114-0intrepid2

=== debian/changelog ===
acpi-support (0.114-0intrepid2) intrepid-proposed; urgency=low

  [ Jakob Unterwurzacher ]
  * Defensive quoting in 90-hdparm.sh, so that the script doesn't throw
    a syntax error when the battery state is undetermined.

  [ Steve Langasek ]
  * lib/power-funcs: refactor getState() to return 'AC' by default,
    since this is implicitly the case if we don't have a battery.
    LP: #59695.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Jan 2009 13:37:16 +0000

acpi-support (0.114-0intrepid1) intrepid-proposed; urgency=low

  * {ac,battery,resume,start}.d/90-hdparm.sh: don't just check whether
    laptop-mode is configured to control the drives, also check whether 
    laptop-mode itself is *enabled*.  Finally closes LP: #59695.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Jan 2009 10:50:10 +0000

=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bart Samwel <bart@samwel.tk>
Uploaders: Loic Minier <lool@dooz.org>, Raphael Hertzog <hertzog@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 4.1.16)
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/acpi-support/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/acpi-support/trunk/
Standards-Version: 3.7.3

Package: acpi-support
Architecture: i386 amd64 ia64 lpia
Depends: x11-xserver-utils, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${arch:Depends}, finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}
Recommends: toshset, smartdimmer, radeontool
Conflicts: uswsusp (<= 0.2)
Suggests: laptop-mode-tools
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for 
    hardware that needs it.
  * On some laptops, set screen brightness.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),i386)
arch-depends := -V'arch:Depends=vbetool, radeontool, toshset, smartdimmer'
endif
ifeq ($(DEB_HOST_ARCH),amd64)
arch-depends := -V'arch:Depends=vbetool'
endif

clean:
	make clean
	dh_testdir
	dh_clean

build:
	make

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	for file in lib/*; do\
		install -m 644 "$$file" debian/acpi-support/usr/share/acpi-support/;\
	done
	for file in events/*; do\
		install -m 644 $$file debian/acpi-support/etc/acpi/events/;\
	done
	for file in suspend.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/suspend.d/;\
	done
	for file in resume.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/resume.d/;\
	done
	for file in start.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
	done
	for file in battery.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/battery.d/;\
	done
	for file in ac.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/ac.d/;\
	done
	for file in *.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/;\
	done
	install -m 644 acpi-support debian/acpi-support/etc/default/;
	install -m 644 toshiba_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installman
	dh_installinit -- start 99 2 3 4 5 . stop 20 1 .
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- $(arch-depends)
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## acpi-support 0.121

=== debian/changelog ===
acpi-support (0.121) jaunty; urgency=low

  * Remove /etc/modprobe.d/ibm_acpi.modprobe in case it's still present;
    this conffile was shipped in dapper and never cleaned up properly.
    LP: #340873.
  * Drop smartdimmer from Recommends; this was only needed for the sony
    brightness scripts, which are removed in favor of hal.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Mar 2009 09:53:30 -0700

acpi-support (0.120) jaunty; urgency=low

  [ Alexander Solodukhin ]
  * Correct suspend.d/55-down-interfaces.sh to point to
    /var/run/network/ifstate rather than /etc/network/run/ifstate.
    LP: #295544.

  [ Martin Pitt ]
  * Drop lib/*.config: I committed all sleep quirks to hal-info now
    (upstream, and in Jaunty). The ACPI_SLEEP whitelisting, as well as
    acpi-support's suspend/resume handling itself is not used by
    default any more, and almost all laptops support suspend/resume
    nowadays, so keeping a whitelist is the wrong approach.
    LP: #37303, #44781.
  * lib/device-funcs: Drop reading of .config files.
  * Drop vbesave, resume.d/17-video-restore.sh, suspend.d/
    80-video-pci-state.sh, suspend.d/80-video-vesa-state.sh:
    pm-utils and hal-info handle VBE/PCI status quirks.

  [ Scott James Remnant ]
  * suspend.d/88-time.sh, resume.d/50-time.sh: Remove since the kernel
    keeps the system clock in sync with the hardware clock over a
    suspend/resume cycle.  LP: #312486, #218120, #158358, #157936.
  * debian/preinst: Remove on upgrade.
  * Remove the toshiba_acpi.modprobe file; this sets a kernel option that's
    been the default for ages. 

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 03 Mar 2009 17:29:01 +0000

acpi-support (0.119) jaunty; urgency=low

  * debian/preinst: Fix off-by-one error in version comparison from
    0.118 fix.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Feb 2009 17:15:47 +0100

acpi-support (0.118) jaunty; urgency=low

  * Drop events/asus-mail: On newer Asus, like the eeePc, this is an
    ACPI event generated by pulling out the power chord, not pressing
    a mail key. The latter should be handled by hal-info now; if you
    have an Acer laptop with a mail key, please report a bug against
    hal-info. (LP: #268422)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Feb 2009 16:45:08 +0100

acpi-support (0.117) jaunty; urgency=low

  * Drop acpi_fakekey translations for keys that are correctly handled
    in the kernel input layer:
    - events/ibm-sleepbtn (LP: #306310)
    - events/ibm-lockbtn, thinkpad-lockorbattery.sh
    - events/ibm-hibernatebtn
    - events/lenovo-lockbtn
    - events/ibm-videobtn
    - events/thinkpad-mute, always-mute.sh
    - events/thinkpad-volume-down
    - events/thinkpad-volume-up (LP: #51537)
    - events/thinkpad-thinklight, thinkpad-thinklight.sh
    - events/tosh-brightness-up
    - events/tosh-brightness-down, toshbright.sh
    - events/tosh-mute
    - events/tosh-sleep
    - events/sony-hibernate
    - events/sony-brightness-up, events/sony-brightness-down, sonybright.sh
    - events/thinkpad-brightness-down, events/thinkpad-brightness-up,
      thinkpad-brightness-up.sh, thinkpad-brightness-down.sh
  * Also drop events/thinkpad-zoom, thinkpad-zoom.sh because this key
    isn't working correctly with or without this script and should be
    fixed up in hal.
  * debian/control: document Vcs-Bzr for the package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Feb 2009 14:28:38 +0100

acpi-support (0.116) jaunty; urgency=low

  [ Jakob Unterwurzacher ]
  * Defensive quoting in 90-hdparm.sh, so that the script doesn't throw
    a syntax error when the battery state is undetermined.

  [ Steve Langasek ]
  * lib/power-funcs: refactor getState() to return 'AC' by default,
    since this is implicitly the case if we don't have a battery.
    LP: #59695.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Jan 2009 02:07:48 -0800

acpi-support (0.115) jaunty; urgency=low

  * {ac,battery,resume,start}.d/90-hdparm.sh: don't just check whether
    laptop-mode is configured to control the drives, also check whether 
    laptop-mode itself is *enabled*.  Finally closes LP: #59695.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Jan 2009 10:50:10 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Uploaders: Loic Minier <lool@dooz.org>, Raphael Hertzog <hertzog@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 4.1.16)
-Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/acpi-support/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/acpi-support/trunk/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/acpi-support/trunk/
+XS-Orig-Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/acpi-support/trunk
+XS-Orig-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/acpi-support/trunk/
 Standards-Version: 3.7.3
 
 Package: acpi-support
 Architecture: i386 amd64 ia64 lpia
 Depends: x11-xserver-utils, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${arch:Depends}, finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}
-Recommends: toshset, smartdimmer, radeontool
+Recommends: toshset, radeontool
 Conflicts: uswsusp (<= 0.2)
 Suggests: laptop-mode-tools
 Description: scripts for handling many ACPI events

=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,6 @@
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done
 	install -m 644 acpi-support debian/acpi-support/etc/default/;
-	install -m 644 toshiba_acpi.modprobe debian/acpi-support/etc/modprobe.d/;
-	install -m 755 vbesave debian/acpi-support/etc/init.d/vbesave
 	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
 	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/

## acpi-support 0.129

=== debian/changelog ===
acpi-support (0.129) karmic; urgency=low

  * Fix ibm-wireless to use the 'rfkill' tool for toggling bluetooth,
    recommending wireless-tools which currently provides this; and fix
    the isAnyWirelessPoweredOn function for the latest change in the rfkill
    /sys interface, looking under phy80211/ instead of under device/
    (LP: #397698).  The toggleAllWirelessStates() function is still broken,
    because the rfkill state on the iwl3945 (at least) is still being done
    in the kernel, so we work around this for now by leaving the function
    inactive.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 13 Oct 2009 01:45:01 -0700

acpi-support (0.128) karmic; urgency=low

  [ Steve Langasek ]
  * Get laptop-mode-tools out of Suggests.  Finally-really-fixes LP: #74683.
  * Fix the touchpad handler to use xinput instead of (unreliable)
    synclient, and add a corresponding Recommends; and call getXconsole so
    we can actually talk to the X server.  LP: #447211.
  * new events/asus-f8sv-touchpad: handle another touchpad ACPI event on
    another ASUS model.  LP: #218598.
  * lib/power-funcs: adjust getXconsole to work when the tty number is not
    present on the X commandline.

  [ Felix Geyer ]
  * lib/policy-funcs: Recognize KDE4 PowerDevil as a power manager.
    LP: #387750.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Oct 2009 16:49:00 -0700

acpi-support (0.127) karmic; urgency=low

  [ Lionel Le Folgoc ]
  * lib/policy-funcs: Recognize xfce4-power-manager as a power manager.
    LP: #425155

  [ Steve Langasek ]
  * Drop /etc/acpi/start.d/90-hdparm.sh: this is redundant because we're
    already calling pm-powersave on start (either via /etc/acpi/power.sh,
    or by one of the desktop power managers as enumerated in
    lib/policy-funcs) so there's no reason we should be reapplying the
    policy here.  LP: #443992, #438355, #318980.
  * Add guidance-power-manager to the list of known desktop power managers.
    LP: #154910

  [ Michael Terry ]
  * lib/policy-funcs: Recognize dalston as a power manager.  LP: #432578

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Oct 2009 20:11:12 -0700

acpi-support (0.126) karmic; urgency=low

  * Drop /etc/acpi/start.d/10-save-dmidecode.sh, which is irrelevant given
    the existence of /sys/class/dmi/id/.
  * Drop events/panasonic-brightness-{down,up}, events/panasonic-mute,
    events/panasonic-volume-{down,up}, and panabright.sh, confirmed to be
    implemented now by the panasonic-laptop kernel driver.
  * Drop events/asus-{a6u-touchpad,internet,lock,wireless} and
    events/asus-media-{next,play-pause,prev,stop}, confirmed to be
    implemented by the asus-laptop kernel driver.
  * Drop events/thinkpad-thinkpad and thinkpad-thinkpad.sh, which is also
    implemented in the thinkpad_acpi driver and should have been dropped a
    while ago.
  * Drop /etc/acpi/{ac,battery}.d, which were still being installed.
  * Drop panapower.sh, which seems to have never been used.
  * Clean up /etc/acpi/toshbright.sh, which was meant to be removed back in
    jaunty
  * Clean up /etc/acpi/hibernatebtn.sh, no longer used.
  * Clean up /etc/acpi/wireless.sh, unused since before hardy.
  * debian/preinst: fix the rm_conffile script to correctly handle conffiles
    whose filename is a substring of another conffile in the same package
  * Drop events/video_brightness{down,up}, video_brightness{up,down}.sh: at
    least some platforms that use these ACPI sequences are seeing them
    correctly translated to input events, so those users will see duplicate
    events unless we drop them.  LP: #178860.
  * Add missing dh_shlibdeps call to debian/rules.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Aug 2009 08:59:55 -0700

acpi-support (0.125) karmic; urgency=low

  * debian/rules, debian/control: drop "arch:Depends" substvar in favor of
    using arch-dependent package relationships directly, and clean up
    various deps that were supposed to be demoted to Recommends long ago.
    LP: #74683.
  * Drop dependency on vbetool entirely, no longer needed now that we've
    handed suspend/resume quirks off to pm-utils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Jul 2009 11:44:27 -0700

acpi-support (0.124) karmic; urgency=low

  [ Steve Langasek ]
  * Drop events/sony-eject, confirmed in bug reports to no longer work due
    to its use of acpi_fakekey.  This needs to be implemented in the kernel
    input layer, but in the meantime there's no reason to keep this here.
    LP: #76924.
  * Drop events/panasonic-{hibernatebtn,sleepbtn}, also reported to not work
    now due to the acpi_fakekey implementation.

  [ Michael Terry ]
  * debian/copyright: Convert to DEP5 format
  * ac.d, battery.d, power.sh, debian/init.d, debian/rules:
    - Don't install power hook directories, instead just call pm-powersave
  * debian/preinst:
    - Remove ac.d and battery.d conffiles

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Jun 2009 15:41:38 -0700

acpi-support (0.123) karmic; urgency=low

  * events/asus-volume-{up,down,mute}: drop, these are handled in the kernel
    input layer now.  LP: #286339.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 May 2009 19:10:16 -0700

acpi-support (0.122) karmic; urgency=low

  * sleep.sh, hibernate.sh:
    - Don't use custom suspend/hibernate solution.  Instead, call pm-utils.
      LP: #366119
  * prepare.sh, resume.sh, resume.d, suspend.d:
    - Delete; no longer used
  * debian/dirs, debian/rules:
    - Don't install resume.d and suspend.d directories
  * debian/control:
    - Depend on pm-utils
  * debian/preinst:
    - Remove any existing resume.d and suspend.d files.

 -- Michael Terry <michael.terry@canonical.com>  Mon, 27 Apr 2009 10:08:23 -0400

## acpi-support 0.129netbook2

=== debian/changelog ===
acpi-support (0.129netbook2) karmic; urgency=low

  * acpi-support: disable laptop mode, causes problems with ext4 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 03 Dec 2009 13:28:46 -0500

acpi-support (0.129netbook1) karmic; urgency=low

  * acpi-support: enable laptop mode by default per LP: #464917

 -- Bill Filler <bill.filler@canonical.com>  Mon, 30 Nov 2009 10:47:40 -0500

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,9 @@
 
 Package: acpi-support
 Architecture: i386 amd64 ia64 lpia
-Depends: x11-xserver-utils, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), ${arch:Depends}, finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}
-Recommends: toshset, radeontool
+Depends: x11-xserver-utils, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}, pm-utils
+Recommends: toshset [i386 amd64], radeontool, xinput, wireless-tools
 Conflicts: uswsusp (<= 0.2)
-Suggests: laptop-mode-tools
 Description: scripts for handling many ACPI events
  This package contains scripts to react to various ACPI events. It only
  includes scripts for events that can be supported with some level of

=== debian/rules ===
#!/usr/bin/make -f

clean:
	make clean
	dh_testdir
	dh_clean

build:
	make

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	for file in lib/*; do\
		install -m 644 "$$file" debian/acpi-support/usr/share/acpi-support/;\
	done
	for file in events/*; do\
		install -m 644 $$file debian/acpi-support/etc/acpi/events/;\
	done
	for file in start.d/*.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
	done
	for file in *.sh; do\
		install -m 755 $$file debian/acpi-support/etc/acpi/;\
	done
	install -m 644 acpi-support debian/acpi-support/etc/default/;
	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installman
	dh_installinit -- start 99 2 3 4 5 . stop 20 1 .
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## acpi-support 0.136

=== debian/changelog ===
acpi-support (0.136) lucid; urgency=low

  * debian/rules: don't pass -n to dh_installinit, we do want changes to
    maintainer scripts - we just don't want the init script called, so use
    --no-start instead.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Apr 2010 04:47:56 -0700

acpi-support (0.135) lucid; urgency=low

  * debian/rules: don't call the init script in the postinst, the script
    exists only to ensure the power policy is applied on boot so we should
    keep our hands off on upgrade.  LP: #567182

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Apr 2010 04:31:14 -0700

acpi-support (0.134) lucid; urgency=low

  * drop asus-eee-volume-* event handlers, which are also now superseded by
    a kernel input device.  LP: #560551.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 13 Apr 2010 17:18:57 -0700

acpi-support (0.133) lucid; urgency=low

  * Repair asus-touchpad.sh by using grep. (LP: #506442)

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Thu, 04 Mar 2010 12:00:21 +0100

acpi-support (0.132) lucid; urgency=low

  * lib/state-funcs, start.d/60-asus-wireless-led.sh, asus-wireless.sh:
    eliminate setLEDAsusWireless altogether; this needs to be handled
    directly by the kernel when the kill switch is toggled, not in a racy
    and inconsistently-applied manner by acpi-support; and in at least some
    cases we know this already *does* happen because of reports that
    /sys/devices/platform/asus-laptop/wlan, used for toggling "the LED" with
    the current kernel module, is actually an interface for toggling *the
    antenna* that happens to also toggle the LED.  Likewise, we should not
    be responsible for bringing up the antenna at boot, so get rid of the
    file in the start.d directory.  LP: #293943, #204378, #334368.
  * Now that the last script is gone from start.d, kill off the directory
    and the init script handling too.
  * Remove the asus-wireless-2 event handler, which is completely redundant
    with the pre-existing asus-wireless-{off,on} handlers.  LP: #207871.

  [ Erik Andrén ]
  * Add support for ATKD 00000037 to events/asus-touchpad.
    This makes the disable touchpad buttons (!) on the EeePc 1005HA work as
    intended.  LP: #502720.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Jan 2010 15:52:56 -0800

acpi-support (0.131) lucid; urgency=low

  * events/lenovo-undock, undock.sh: new scripts to handle the Fn+F9 "undock"
    button on ThinkPads, which unfortunately nothing else handles.  Thanks
    to Jeffrey Baker for the first implementation.  LP: #18864.
  * /etc/default/acpi-support: laptop-mode-tools is no longer installed by
    default, so don't override its setting from here.  LP: #244838, #490186.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Dec 2009 11:04:22 -0800

acpi-support (0.130) lucid; urgency=low

  * Readd support for ATKD 0000006b to events/asus-touchpad.  LP: #314376.
  * Drop dependency on laptop-mode-tools: this is not enabled by default, and
    dropping it lets us remove much of the laptop-mode-tools delta wrt Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 18 Nov 2009 17:22:26 -0600

## acpi-support 0.136.1

=== debian/changelog ===
acpi-support (0.136.1) lucid-proposed; urgency=low

  * power.sh, lib/policy-funcs: don't call pm-powersave if upower is running,
    as upower already does this for us unconditionally and we don't want to
    run these scripts twice.  Eventually power.sh should be dropped entirely,
    but Kubuntu hasn't yet transitioned to use upower.  LP: #582471.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Jun 2010 19:16:30 -0700

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: acpi-support
 Architecture: i386 amd64 ia64 lpia
-Depends: x11-xserver-utils, laptop-mode-tools, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}, pm-utils
+Depends: x11-xserver-utils, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}, pm-utils
 Recommends: toshset [i386 amd64], radeontool, xinput, wireless-tools
 Conflicts: uswsusp (<= 0.2)
 Description: scripts for handling many ACPI events

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,6 @@
 	for file in events/*; do\
 		install -m 644 $$file debian/acpi-support/etc/acpi/events/;\
 	done
-	for file in start.d/*.sh; do\
-		install -m 755 $$file debian/acpi-support/etc/acpi/start.d/;\
-	done
 	for file in *.sh; do\
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done
@@ -37,7 +34,7 @@
 	dh_installdocs
 	dh_installchangelogs
 	dh_installman
-	dh_installinit -- start 99 2 3 4 5 . stop 20 1 .
+	dh_installinit --no-start -- start 99 2 3 4 5 . stop 20 1 .
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## acpi-support 0.138.1

=== debian/changelog ===
acpi-support (0.138.1) oneiric-proposed; urgency=low

  * Added lenovo-touchpad2 from precise acpi-support-0.140 which supports
    newer thinkpads that are in the certification process.
  * Backported power-funcs from precise acpi-support-0.140:
    - Use ck-list-sessions to determine active X display and X user. This
      works around lightdm not always recording logins in wtmp (LP #870297).
      (LP: #933626)

 -- Ayan George <ayan.george@canonical.com>  Tue, 03 Apr 2012 11:45:09 -0400

acpi-support (0.138) natty; urgency=low

  * drop sony-* event handlers, which are also now superseded by a kernel
    input device; and drop the sound button action scripts, of which the sony
    events were the last users.  LP: #676685.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Nov 2010 17:01:09 -0800

acpi-support (0.137) maverick; urgency=low

  * power.sh, lib/policy-funcs: don't call pm-powersave if upower is running,
    as upower already does this for us unconditionally and we don't want to
    run these scripts twice.  Eventually power.sh should be dropped entirely,
    but Kubuntu hasn't yet transitioned to use upower.  LP: #582471.
  * lib/power-funcs: drop dependency on finger, we can do this just as well
    using who from coreutils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Jun 2010 19:16:30 -0700

## acpi-support 0.140

=== debian/changelog ===
acpi-support (0.140) precise; urgency=low

  [ James Ferguson ]
  * asus-touchpad.sh: add support for Elantech touchpads.  LP: #953296.
  * events/lenovo-touchpad2: new event handler for an acpi event on newer
    ThinkPads which always maps to the touchpad.

  [ Troy Sankey ]
  * asus-keyboard-backlight.sh, events/asus-keyboard-backlight-{up,down}:
    add support for hotkey that adjusts the keyboard backlight on the ASUS
    G73jh and others.  LP: #931614.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 13 Mar 2012 09:24:01 -0700

acpi-support (0.139) precise; urgency=low

  * lib/power-funcs: adjust getXuser and getXconsole to use consolekit
    instead of ps/who to identify the "foreground" session and the owner
    of a given X session, since lightdm is currently failing to record this
    information in utmp.  Also, add headers for each of these functions
    documenting how they're supposed to work, since it's completely
    non-obvious and some of the scripts already in acpi-support are using
    them wrong.  Thanks to Ayan George <ayan.george@canonical.com> for the
    preliminary patch.  LP: #933626, #893271.
  * rotatescreen.sh: fix wrong use of getXconsole where getXuser is needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 03 Mar 2012 15:49:47 -0800

## acpi-support 0.140.1

=== debian/changelog ===
acpi-support (0.140.1) precise-proposed; urgency=low

  * asus-touchpad.sh: Don't handle Synaptics devices. (LP: #804109)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 09 Oct 2012 13:35:58 +0300

## acpi-support 0.140.2

=== debian/changelog ===
acpi-support (0.140.2) precise-security; urgency=medium

  * SECURITY UPDATE: root escalation via race in policy-funcs (LP: #1340812)
    - lib/policy-funcs: use the X console user instead of the one from an
      arbitrary kded4 process.
    - power.sh: also source /usr/share/acpi-support/power-funcs.
    - CVE-2014-1419

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 14 Jul 2014 08:32:07 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: acpi-support
 Architecture: i386 amd64 ia64 lpia
-Depends: x11-xserver-utils, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), finger, powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}, pm-utils
+Depends: x11-xserver-utils, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}, pm-utils, consolekit
 Recommends: toshset [i386 amd64], radeontool, xinput, wireless-tools
 Conflicts: uswsusp (<= 0.2)
 Description: scripts for handling many ACPI events

## acpi-support 0.141

=== debian/changelog ===
acpi-support (0.141) quantal; urgency=low

  [ Steve Langasek ]
  * drop asus-brightness-{up,down} handlers and asus-brn-{down,up} scripts.
    LP: #955176.

  [ Timo Aaltonen ]
  * asus-touchpad.sh: Don't handle Synaptics devices. (LP: #804109)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 09 Oct 2012 13:32:35 +0300

## acpi-support 0.142

=== debian/changelog ===
acpi-support (0.142) saucy; urgency=low

  * Drop events/lidbtn, lid.sh: Handled by logind now.
  * Drop events/asus-rotate and rotatescreen.sh, this has been handled by
    gnome-settings-daemon and friends for ages.
  * Drop events/sleepbtn, sleep.sh, sleepbtn.sh, also handled by g-s-d and
    friends.
  * Drop events/panasonic-lockbtn, screenblank.sh, lib/screenblank: This only
    applies to xscreensaver and radeontool (dcop has ceased to exist a long
    time ago), and only for a few machines.
  * Drop asus-touchpad.sh, thinkpad-stretchortouchpad.sh, and events using it:
    Handled by desktop.
  * lib/power-funcs: Drop getXuser() and getXconsole(): No remaining users,
    and these used ConsoleKit. Drop consolekit dependency.
  * Drop power.sh and events/{battery,ac}: upower has done this for a long
    time, and we don't support anything else.
  * Drop events/tosh-hibernate and hibernate.sh: Handled by desktops. Drop
    pm-utils dependency.
  * Drop acpi_fakekey, associated build system, and scripts/events that use
    it. This is supposed to work with proper kernel drivers or udev keymap
    overrides, most of it is probably obsolete, and the rest should be fixed
    properly.
  * Drop lib/{device,policy}-funcs, not used by anything any more.
  * Drop debian/init.d, upower automatically does that. Drop lib/power-funcs,
    init script was the last consumer.
  * Drop obsolete dependencies: x11-xserver-utils, hdparm, lsb-base,
    powermgmt-base, laptop-detect, dmidecode.
  * debian/{pre,post}inst: Remove transitional code for versions before 140,
    i. e. the last LTS.
  * debian/preinst: Clean up the gazillion obsolete conffiles which were
    removed above.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Apr 2013 18:17:20 -0700

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 Package: acpi-support
 Architecture: i386 amd64 ia64 lpia
-Depends: x11-xserver-utils, acpid (>= 1.0.4-1ubuntu4), hdparm, lsb-base (>= 1.3-9ubuntu3), powermgmt-base, laptop-detect, dmidecode (>= 2.7-1), ${shlibs:Depends}, pm-utils, consolekit
-Recommends: toshset [i386 amd64], radeontool, xinput, wireless-tools
+Depends: acpid (>= 1.0.4-1ubuntu4), ${shlibs:Depends}
+Recommends: toshset [i386 amd64], wireless-tools
 Conflicts: uswsusp (<= 0.2)
 Description: scripts for handling many ACPI events
  This package contains scripts to react to various ACPI events. It only

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,10 @@
 #!/usr/bin/make -f
 
 clean:
-	make clean
 	dh_testdir
 	dh_clean
 
 build:
-	make
 
 install:
 	dh_testdir
@@ -23,8 +21,6 @@
 		install -m 755 $$file debian/acpi-support/etc/acpi/;\
 	done
 	install -m 644 acpi-support debian/acpi-support/etc/default/;
-	install -m 755 acpi_fakekey debian/acpi-support/usr/bin/acpi_fakekey
-	install -m 644 key-constants debian/acpi-support/usr/share/acpi-support/
 
 binary-indep:
 
@@ -34,7 +30,6 @@
 	dh_installdocs
 	dh_installchangelogs
 	dh_installman
-	dh_installinit --no-start -- start 99 2 3 4 5 . stop 20 1 .
 	dh_compress
 	dh_fixperms
 	dh_installdeb
